Ingest Document
curl --request POST \
--url https://api.ontora.com/v1/ingest/document \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"content_text": "<string>",
"url": "<string>",
"title": "<string>",
"author_name": "<string>",
"author_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.ontora.com/v1/ingest/document"
payload = {
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"source_connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"content_text": "<string>",
"url": "<string>",
"title": "<string>",
"author_name": "<string>",
"author_email": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspace_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
source_connection_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
external_id: '<string>',
content_text: '<string>',
url: '<string>',
title: '<string>',
author_name: '<string>',
author_email: '<string>',
created_at: '2023-11-07T05:31:56Z',
updated_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.ontora.com/v1/ingest/document', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}ingest
Ingest Document
POST
/
v1
/
ingest
/
document
Ingest Document
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
gmail, notion, google-drive, voice-session, hubspot, pipedrive, google-calendar, attio, slack, manual, interview Was this page helpful?
⌘I